Bug 215450 - Reference invalid variable in depSolver.py
Summary: Reference invalid variable in depSolver.py
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Clifford Perry
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-14 01:48 UTC by Matthew Booth
Modified: 2008-10-17 19:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 16:31:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing invalid variable reference in depSolver.py (1.86 KB, patch)
2006-11-14 01:48 UTC, Matthew Booth
no flags Details | Diff

Description Matthew Booth 2006-11-14 01:48:13 UTC
Description of problem:
I don't have a reproducer for this, and I don't have access to the machine I hit
it on. The problem manifested itself as a python backtrace in the code handling
obsoletes dependency resolution. I hit updating both seamonkey and wireshark
from RHEL4 U2 (ish) to RHEL4 U4 + updates. I don't have the original backtrace
either, but I did get the customer to mail the patch to me. I have done similar
updates before without hitting this problem, so there's probably something
unusual about this particular setup. I couldn't tell you what it is, though.

The code in question is very obviously bogus as it references a variable which
isn't in scope. Note that very similar code is also obviously broken at other
points in depSolver.py, but I didn't hit that and didn't fix it.

I've put severity to high because it's a total show stopper when you hit it.

Version-Release number of selected component (if applicable):
up2date-4.4.69-25.i386

Comment 1 Matthew Booth 2006-11-14 01:48:13 UTC
Created attachment 141126 [details]
Patch fixing invalid variable reference in depSolver.py

Comment 3 Red Hat Bugzilla 2007-04-12 01:43:07 UTC
User bnackash@redhat.com's account has been closed


Note You need to log in before you can comment on or make changes to this bug.